org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class IgniteSnapshotManager.SnapshotHandlers

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.IgniteSnapshotManager.SnapshotHandlers

Enclosing class:
  IgniteSnapshotManager

    protected static class IgniteSnapshotManager.SnapshotHandlers
    extends Object

Snapshot operation handlers.

### Constructor Summary

Constructors
`protected` `SnapshotHandlers()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `completeAll(SnapshotHandlerType type, String snpName, Map<String,List<SnapshotHandlerResult<?>>> res, Collection<UUID> reqNodes, Consumer<List<String>> wrnsHnd)`
`protected @Nullable Map<String,SnapshotHandlerResult<Object>>` `invokeAll(SnapshotHandlerType type, SnapshotHandlerContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotHandlers

    protected SnapshotHandlers()

### Method Detail

#### invokeAll

    @Nullable
    protected @Nullable Map<String,SnapshotHandlerResult<Object>> invokeAll(SnapshotHandlerType type,
                                                                                      SnapshotHandlerContext ctx)
                                                                               throws IgniteCheckedException

Parameters:
  `type` - Type of snapshot operation handler.
  `ctx` - Snapshot operation handler context.
Returns:
  Results from all handlers with the specified type.
Throws:
  `IgniteCheckedException` - if parallel execution was failed.

#### completeAll

    protected void completeAll(SnapshotHandlerType type,
                               String snpName,
                               Map<String,List<SnapshotHandlerResult<?>>> res,
                               Collection<UUID> reqNodes,
                               Consumer<List<String>> wrnsHnd)
                        throws Exception

Parameters:
  `type` - Type of snapshot operation handler.
  `snpName` - Snapshot name.
  `res` - Results from all nodes and handlers with the specified type.
  `reqNodes` - Node IDs on which the handlers were executed.
  `wrnsHnd` - A handler of snapshot operation warnings.
Throws:
  `Exception` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023